%define debug_package	%{nil}

Name:		rmanage
Version:	0.1.8
Release:	%mkrel 6
License:	GPLv2
Url:		http://rmanage.googlecode.com/
Group:		Networking/Other
Source:		http://rmanage.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-de-po.patch
Patch2:		%{name}-configure-in.patch
Patch3:		%{name}-interface.patch
Patch4:		rmanage-0.1.8-automake-1.13.patch
Summary:	A network discovery and management tool
BuildRequires:	desktop-file-utils 
BuildRequires:	gtk2-devel 
BuildRequires:	gettext

Requires:	xterm
Requires:	gksu

%description
Rmanage is a small linux+GTK based LAN monitoring and managemet application

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure
%make
pushd po
%make
popd

%install
rm -rf %{buildroot}
%makeinstall_std INSTALL="install -p"

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.cnf



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.1.8-6.mga4
+ Revision: 518093
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1.8-5.mga3
+ Revision: 380366
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 cjw <cjw> 0.1.8-4.mga3
+ Revision: 344519
- patch4: fix build with automake 1.13

* Wed Mar 07 2012 matteo <matteo> 0.1.8-3.mga2
+ Revision: 220673
- fixed wrong version displayed

* Thu Jan 05 2012 matteo <matteo> 0.1.8-2.mga2
+ Revision: 191953
- unzip patches

* Fri Dec 30 2011 matteo <matteo> 0.1.8-1.mga2
+ Revision: 188982
- fixed desktop file patch
- imported package rmanage

